# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class UserRequest(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self, email: str=None, _pass: str=None):  # noqa: E501
        """UserRequest - a model defined in Swagger

        :param email: The email of this UserRequest.  # noqa: E501
        :type email: str
        :param _pass: The _pass of this UserRequest.  # noqa: E501
        :type _pass: str
        """
        self.swagger_types = {
            'email': str,
            '_pass': str
        }

        self.attribute_map = {
            'email': 'email',
            '_pass': 'pass'
        }

        self._email = email
        self.__pass = _pass

    @classmethod
    def from_dict(cls, dikt) -> 'UserRequest':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The UserRequest of this UserRequest.  # noqa: E501
        :rtype: UserRequest
        """
        return util.deserialize_model(dikt, cls)

    @property
    def email(self) -> str:
        """Gets the email of this UserRequest.


        :return: The email of this UserRequest.
        :rtype: str
        """
        return self._email

    @email.setter
    def email(self, email: str):
        """Sets the email of this UserRequest.


        :param email: The email of this UserRequest.
        :type email: str
        """

        self._email = email

    @property
    def _pass(self) -> str:
        """Gets the _pass of this UserRequest.


        :return: The _pass of this UserRequest.
        :rtype: str
        """
        return self.__pass

    @_pass.setter
    def _pass(self, _pass: str):
        """Sets the _pass of this UserRequest.


        :param _pass: The _pass of this UserRequest.
        :type _pass: str
        """

        self.__pass = _pass
